Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class XSLFTheme

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xslf.usermodel.XSLFTheme

    public class XSLFTheme

extends POIXMLDocumentPart

A shared style sheet in a .pptx slide show

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`XSLFTheme(PackagePart part, PackageRelationship rel)`

Method Summary
`java.lang.String` | `getMajorFont()`
`java.lang.String` | `getMinorFont()`
`java.lang.String` | `getName()`
`org.openxmlformats.schemas.drawingml.x2006.main.CTOfficeStyleSheet` | `getXmlObject()` While developing only!
`void` | `setName(java.lang.String name)` Set name of this theme

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSLFTheme

    public XSLFTheme(PackagePart part,
                     PackageRelationship rel)
              throws java.io.IOException,
                     org.apache.xmlbeans.XmlException

Throws:
  `java.io.IOException`
  `org.apache.xmlbeans.XmlException`

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    name of this theme, e.g. "Office Theme"

### setName

    public void setName(java.lang.String name)

  Set name of this theme

  Parameters:
    `name` - name of this theme

### getXmlObject

    public org.openxmlformats.schemas.drawingml.x2006.main.CTOfficeStyleSheet getXmlObject()

  While developing only!

### getMajorFont

    public java.lang.String getMajorFont()

  Returns:
    typeface of the major font to use in a document. Typically the major font is used for heading areas of a document.

### getMinorFont

    public java.lang.String getMinorFont()

  Returns:
    typeface of the minor font to use in a document. Typically the monor font is used for normal text or paragraph areas.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD